### Method

# Camel MessageInfo get_user_headers

since: 3.42

#### Declaration [src]

    const CamelNameValueArray*
    camel_message_info_get_user_headers (
      const CamelMessageInfo* mi
    )

#### Description

No description available.

Available since: 3.42

Gets property | `Camel.MessageInfo:user-headers`

#### Return value

Type: `CamelNameValueArray`

All the user-defined message headers of the associated message, or `NULL`, when none are available.

The returned data is owned by the instance.
The return value can be `NULL`.